<md-grid-list cols="5" rowHeight="250px">

  <md-grid-tile colspan=1>

    <app-spinner *ngIf='loading'></app-spinner>

    <div *ngIf='!loading'>
      <img *ngIf="_user.hasPicture" [src]="imgUrl" class="img-circle">
      <md-icon class="avatar" *ngIf="!_user.hasPicture">face</md-icon>
    </div>

  </md-grid-tile>
  <md-grid-tile colspan=2>
    <div>
      <div class="btnSpace">
        Change Picture
        <button md-mini-fab (click)="showUploadButton()" [disabled]="loading"><md-icon class="center" >add</md-icon></button>
      </div>
      <input type="file" *ngIf="showUploadBtn" ng2FileSelect [uploader]="uploader" />
      <div *ngIf="_user.hasPicture" class="btnSpace">
        Remove Picture
        <button md-mini-fab (click)="deletePicture()" [disabled]="loading"><md-icon class="center">clear</md-icon></button>
      </div>

      <br>
      <small>
        You have to upload an image at least 180px by 180px, jpg, .gif, or .png. Max file size 700K.
    </small>
    </div>

  </md-grid-tile>

</md-grid-list>


<form [formGroup]="form" (change)="showMe()" class="form">
  <div fxLayout="row" fxLayoutAlign="space-around center">

    <div *ngIf="showType!==0" fxFlexAlign="stretch">
      <div>
        <label>User role</label>
      </div>
      <div class="select">
        <md-select formControlName="role" [(ngModel)]="user.role" ngDefaultControl>
          <md-option *ngFor="let userRole of userRoles" [value]="userRole">
            {{userRole | titlecase}}
          </md-option>
        </md-select>
      </div>
    </div>

    <div>
      <div>
        <label>First Name</label>
      </div>
      <div>
        <md-input-container>
          <input mdInput type="text" required formControlName="firstName" [(ngModel)]="user.firstName" (blur)="onBlurValueChanged('firstName')">
          <md-error *ngIf="formErrors.firstName" class="error">
            {{ formErrors.firstName }}
          </md-error>
        </md-input-container>
      </div>
    </div>

    <div>
      <div>
        <label>Last Name</label>
      </div>
      <div>
        <md-input-container>
          <input mdInput type="text" required formControlName="lastName" [(ngModel)]="user.lastName" (blur)="onBlurValueChanged('lastName')">
          <md-error *ngIf="formErrors.lastName" class="error">
            {{ formErrors.lastName }}
          </md-error>
        </md-input-container>
      </div>
    </div>

    <div>
      <div>
        <label>Email</label>
      </div>
      <div>
        <md-input-container>
          <input mdInput type="email" required formControlName="email" [(ngModel)]="user.email" (blur)="onBlurValueChanged('email')">
          <md-error *ngIf="formErrors.email" class="error">
            {{ formErrors.email }}
          </md-error>
        </md-input-container>
      </div>
    </div>

  </div>
</form>

